%define origname  gift-openft

Name: gift-plugin-openft
Version: 0.2.1.3
Release: alt2
License: GPL
Group: Networking/Other
Url: http://gift.sourceforge.net/
Source0: %origname-%version.tar.bz2
Summary: OpenFT plugin for giFT
Summary(ru_RU.KOI8-R):   gift   Open Fast Track
Requires: giftd >= 0.11.4-alt4
Obsoletes: %origname

# Automatically added by buildreq on Mon Jan 05 2004
BuildRequires: gcc-c++, glib2, libdb4.2-devel, libgift-devel >= 0.11.4-alt4, libgiftproto-devel >= 0.11.4-alt4, libstdc++-devel, pkgconfig, zlib-devel

%description
Use this package to connect to OpenFT networks using giFT

%prep
%setup -q -n  %origname-%version

%build
./configure --prefix=%prefix
make

%install
make "DESTDIR=$RPM_BUILD_ROOT" install

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%_libdir/*
%_datadir/*

%changelog
* Thu May 20 2004 Vasya Borisov <vasy@altlinux.ru> 0.2.1.3-alt2
- rename to gift-plugin-openft
- some spec clean
* Wed May 19 2004 Vasya Borisov <vasy@altlinux.ru> 0.2.1.3-alt1
- New version 0.2.1.3
- Add russian summary
* Thu Feb 12 2004 Vasya Borisov <vasy@altlinux.ru> 0.2.1.2-alt2
- rebuild with libdb4.2
* Mon Jan 05 2004 Vasya Borisov <vasy@altlinux.ru> 0.2.1.2-alt1
- New version 0.2.1.2:
   - Fixed a problem that would improperly cast the result of recv() to size_t
     before testing for a negative return value.
   - Improved URL encoding correctness.  This code is likely to be phased out
     entirely with the introduction of giFT 0.12.x, *sigh*.
   - Added HEAD request method support.  This is a server-side only change and
     is not currently being utilized by this code base.
   - Minor internal cleanups regarding the use of FT_SELF' as a valid
     FTNode object.
   - Major logic improvements regarding class changes.
   - Turned off incoming search verification by default.
   - Massive search database redesign and internal code cleanups.  Added
     an additional non-persistent index for efficient removal (similar to
     what was used before but greatly cluttered the memory pool cache and
     persisted for the life of the child connection).  This improvement
     manifests itself in the form of a drop of n file descriptors actively
     opened where n is the number of children the search node is currently
     managing.
   - Added a simple test-case system for benchmarking and testing
     ft_search_db.c tweaks.
   - Search node defaults have been adjusted to better facilitate the
     increased search node distribution and lower the system requirements for
     more casual search nodes.
   - Minor search node optimization which avoids port verification for nodes
     that can't possibly become our child (even if they think they can).  This
     optimization should eventually be built into the network by allowing
     users to dynamically adjust their firewalled status based on the
     verification results from remote search peers.
   - Automatically detect and adjust the fd limit of the process space
     OpenFT is running in using getrlimit/setrlimit when available.  This
     should greatly improve some operating system's ability to function as
     a search node.
   - Avoid a fatal assertion when giFT [mistakenly] calls p->download_start
     consecutively, with no p->download_stop in-between.
   - Major win32 portability improvements.  Thanks pretender :-)
* Fri Dec 05 2003 Vasya Borisov <vasy@altlinux.ru> 0.2.1.1-alt3
- Rebuild with new libgift
* Mon Dec 01 2003 Vasya Borisov <vasy@altlinux.ru> 0.2.1.1-alt2
- Rebuild with new libgift
* Tue Oct 07 2003 Vasya Borisov <vasy@altlinux.ru> 0.2.1.1-alt1
- Initial release for Sisyphus
